Main Page | Class List | File List | Class Members | File Members | Related Pages

# /home/src/PHP-JAVA-BRIDGE/PHP5/php-java-bridge/bind.c File Reference

`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <signal.h>`
`#include <sys/poll.h>`
`#include <sys/wait.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <time.h>`
`#include "php_wrapper.h"`
`#include "zend.h"`
`#include "ext/session/php_session.h"`
`#include "php_java.h"`
`#include "java_bridge.h"`

## Functions
char * | get_server_string (TSRMLS_D)
char * | test_server (int *_socket, short *local, struct sockaddr *_saddr TSRMLS_DC)
void | start_server (TSRMLS_D)
void | shutdown_library ()
void | sys_error (const char *str, int code)

## Function Documentation

char* get_server_string | ( | TSRMLS_D |  | ) |

void shutdown_library | ( | void |  | ) |

void start_server | ( | TSRMLS_D |  | ) |

void sys_error | ( | const char * | str,
|  | int | code
| ) |

char* test_server | ( | int * | _socket,
|  | short * | local,
|  | struct sockaddr *_saddr | TSRMLS_DC
| ) |